astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- Models and Fitting (`astropy.modeling`) »
- SimplexLSQFitter

# SimplexLSQFitter

class `astropy.modeling.fitting.``SimplexLSQFitter`

  Bases: `astropy.modeling.fitting.Fitter`

  Simplex algorithm and least squares statistic.

  Raises:

  ModelLinearityError

  > A linear model is passed to a nonlinear fitter

  Attributes Summary

  `supported_constraints` |

  Methods Summary

  `__call__`(model, x, y[, z, weights]) | Fit data to this model.

  Attributes Documentation

  `supported_constraints` = [u'bounds', u'fixed', u'tied']

  Methods Documentation

  `__call__`(model, x, y, z=None, weights=None, **kwargs)

    Fit data to this model.

    Parameters:

    model : `FittableModel`

    > model to fit to x, y, z

    x : array

    > input coordinates

    y : array

    > input coordinates

    z : array (optional)

    > input coordinates

    weights : array (optional)

    > weights

    kwargs : dict

    > optional keyword arguments to be passed to the optimizer or the statistic

    maxiter : int

    > maximum number of iterations

    epsilon : float

    > the step size for finite-difference derivative estimates

    acc : float

    > Relative error in approximate solution

    Returns:

    model_copy : `FittableModel`

    > a copy of the input model with parameters set by the fitter